%define	name	gv
%define	version	3.6.1
%define	release	2mdk

Summary:	An enhanced front-end for the ghostscript PostScript(TM) interpreter
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Publishing
URL:		http://www.gnu.org/software/gv/
# old source: ftp://thep.physik.uni-mainz.de/pub/gv/unix/%{name}-%{version}.tar.bz2
Source0:	ftp://alpha.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:	ftp://alpha.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Source11:	%{name}.png
# (Abel) don't remove this patch for now
Patch5:		gv-quote.patch.bz2
Patch6:		gv-3.6.1-gvuncompress.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	ghostview
Provides:	ghostview
BuildRequires:	xpm-devel
BuildRequires:	XFree86-devel
BuildRequires:	Xaw3d-devel
BuildRequires:	X11
BuildRequires:	automake1.8
BuildRequires:	ImageMagick
Requires:	ghostscript-module-X

%description
Gv provides a user interface for the ghostscript PostScript(TM)
interpreter.  Derived from the ghostview program, gv can display
PostScript and PDF documents using the X Window System.  

Install the gv package if you'd like to view PostScript and PDF documents
on your system.  You'll also need to have the ghostscript package
installed, as well as the X Window System.

%prep
%setup -q
#patch5 -p1 -b .quote 
%patch6 -p1 -b .gvuncompress

# needed by patch6
ACLOCAL=aclocal-1.8 AUTOMAKE=automake-1.8 autoreconf --force --install

# force regeneration of file
rm -f src/gv_intern_res_unix.dat

%build
%configure2_5x --with-scratch-dir=~/tmp/
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -m 0755 gvuncompress $RPM_BUILD_ROOT%{_bindir}/gvuncompress

# (Abel) any software still need this corpse?
#mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
#ln -s ../../bin/gv $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/ghostview

# icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_miconsdir}
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_liconsdir}/gv.png
convert -geometry 32x32 %{SOURCE11} $RPM_BUILD_ROOT%{_iconsdir}/gv.png
convert -geometry 16x16 %{SOURCE11} $RPM_BUILD_ROOT%{_miconsdir}/gv.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/gv" \
 icon="gv.png" \
 needs="x11" \
 section="Office/Publishing" \
 title="GhostView" \
 longtitle="PostScript and PDF document viewer"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%_install_info gv.info

%preun
%_remove_install_info gv.info

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/%{name}
%{_mandir}/man1/*
%{_infodir}/*
#{_prefix}/X11R6/bin/ghostview

%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sat Jan 15 2005 Abel Cheung <deaddog@mandrake.org> 3.6.1-2mdk
- rebuild

* Thu Dec 27 2004 Abel Cheung <deaddog@mandrake.org> 3.6.1-1mdk
- gv is now a GNU project
- New version
- Drop P1,3,7 (upstream), P2 (outdated), Rediff P6 (open compressed files)
- Integrate P5 later, I'm lazy
- Redo installation procedure since it uses autotools now
- Replace ugly icon with the one in GNOME high contrast theme, that's
  much better

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.5.8-33mdk
- fix buildrequires
- do parallell build
- fix summary-ended-with-dot

* Tue Jun 03 2004 Laurent Montel <lmontel@mandrakesoft.com> 3.5.8-32mdk
- Rebuild

* Tue Jan 27 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.5.8-31mdk
- fix unpackaged files
- cosmetics
- don't bzip2 icons in src.rpm
- gunzip docs during %%prep to make package --short-circuitable

* Fri Jul 18 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 3.5.8-30mdk
- fix gcc-3.3 build
- clean up a little

* Fri Mar 07 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 3.5.8-29mdk
- Enabled -dNOPLATFONTS in Patch7, and removed Patch4.

* Tue Feb  4 2003 Till Kamppeter <tkamppeter@mandrakesoft.com> 3.5.8-28mdk
- Rebuilt for new glibc.

* Tue Jul 23 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.5.8-27mdk
- Rebuild with latest gcc3.1

* Fri Feb 22 2002 Till Kamppeter <tkamppeter@mandrakesoft.com> 3.5.8-26mdk
- Edited anti-aliasing patch to use the method as used in "kghostviev", it
  gives a better output quality for PostScript level 1 documents.

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.8-25mdk
- xpm -> png icons
- fix sources permissions

* Thu Jan 31 2002 François Pons <fpons@mandrakesoft.com> 3.5.8-24mdk
- created patch to allow reading bzip2 file.

* Wed Sep 05 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 3.5.8-23mdk
- added quote patch (now it's possible to print well)

* Wed Sep 05 2001 François Pons <fpons@mandrakesoft.com> 3.5.8-22mdk
- update provide tag.

* Wed Aug 22 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 3.5.8-21mdk
- Applied Antialias patch. 
  Option: -dNOPLATFONTS caused problem in gs6.51
  (patch3, patch4)

* Tue Jul 03 2001 Stefan van der Eijk <stefan@eijk.nu> 3.5.8-20mdk
- BuildRequires:	xpm-devel

* Tue Jul 03 2001 François Pons <fpons@mandrakesoft.com> 3.5.8-19mdk
- build release, updated distribution tag.

* Tue Nov 14 2000 François Pons <fpons@mandrakesoft.com> 3.5.8-18mdk
- updated menu title and long title.

* Sun Sep 03 2000 François Pons <fpons@mandrakesoft.com> 3.5.8-17mdk
- added missing icons.

* Wed Aug 30 2000 François Pons <fpons@mandrakesoft.com> 3.5.8-16mdk
- macroszifications.
- removed /etc/X11/wmconfig/gv.

* Wed Aug 09 2000 François Pons <fpons@mandrakesoft.com> 3.5.8-15mdk
- build release.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.5.8-14mdk
- automatically added BuildRequires

* Thu Jul 20 2000 François Pons <fpons@mandrakesoft.com> 3.5.8-13mdk
- fixed requires to ghostscript-module-X.
- build release.

* Fri May 26 2000 Adam Lebsack <adam@mandrakesoft.com> 3.5.8-12mdk
- Imake bugfix for XFree86-4.0

* Tue Apr 11 2000 François Pons <fpons@mandrakesoft.com> 3.5.8-11mdk
- added menu entry and icon.

* Fri Apr 07 2000 François Pons <fpons@mandrakesoft.com> 3.5.8-10mdk
- Updated Group.

* Tue Nov 23 1999 François PONS <fpons@mandrakesoft.com>
- Build release.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- fixed bug #272, changed group

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built pacakge for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- Manhattan build

* Thu Nov 06 1997 Cristian Gafton <gafton@redhat.com>
- we are installin a symlink to ghostview

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 3.5.8

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 15 1997 Erik Troan <ewt@redhat.com>
- added ghostscript requirement, added errlist patch for glibc.

